set status [ SclFunction "EXIT GRAPHICS" {
  frm00108={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="pit1.str"
  mode="openInNewLayer"
}]

set status [ SclFunction "CREATE DTM" {
  frm00126={
    {
      _action="display"
      location="pit"
      id="1"
      swadesc="Y"
      break="N"
      check_distance="0.005"
    }
  }
}]

set status [ SclFunction "EXIT GRAPHICS" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="pit1.dtm"
  mode="none"
}]

puts ""
puts "Click in graphics to continue"
puts ""

SclPause

set status [ SclFunction "EXIT GRAPHICS" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="pit1.str"
  mode="openInNewLayer"
}]

set status [ SclFunction "CREATE DTM" {
  frm00126={
    {
      _action="display"
      location="pit"
      id="1"
      swadesc="Y"
      break="Y"
      anyspots="N"
      brktest="Y"
      check_distance="0.005"
      interpolate_new_points="N"
    }
  }
}]

set status [ SclFunction "EXIT GRAPHICS" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="pit1.dtm"
  mode="openInNewLayer"
}]

puts ""
puts ""
puts ""
puts ""
puts "Macro _01b_create_dtm_from_string_file.tcl completed."
puts ""
puts ""
